package com.yyrh.network;

import android.content.Context;

import com.yyrh.internal.IRequestCallback;

import org.json.JSONObject;

/**
 * @author #Suyghur.
 * Created on 2021/10/15
 */
public final class SdkRequest {

    private SdkRequest() {

    }

    public static void initSdk(Context context, IRequestCallback callback) {
        JSONObject jsonObject = new JSONObject();
        try {
            jsonObject.put("ifa","3a511f03f0262d08");
            jsonObject.put("ifa_type",3);
            jsonObject.put("route_path", Host.BASIC_ROUTE_INIT_SDK);
        } catch (Exception e) {
            e.printStackTrace();
        }
        VolleyRequest.post(context, jsonObject, callback);
    }
}
